Bug 4742 - pcsctun doesn't handle NULL strings
Summary: pcsctun doesn't handle NULL strings
Status: CLOSED FIXED
Alias: None
Product: ThinLinc
Classification: Unclassified
Component: Smart card (show other bugs)
Version: trunk
Hardware: PC Unknown
: P2 Normal
Target Milestone: 4.1.1
Assignee: Pierre Ossman
URL:
Keywords: astrand_tester, relnotes
Depends on:
Blocks: 4732
  Show dependency treegraph
 
Reported: 2013-07-05 13:47 CEST by Pierre Ossman
Modified: 2013-10-24 11:02 CEST (History)
0 users

See Also:
Acceptance Criteria:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Pierre Ossman cendio 2013-07-05 13:47:42 CEST
They sometimes leak in so we should be prepared to return -EINVAL.
Comment 1 Pierre Ossman cendio 2013-07-05 13:48:19 CEST
Fixed in r27619.
Comment 2 Peter Åstrand cendio 2013-10-17 10:15:26 CEST
Done several tests:

* Login to Apoteket using BankID+Fribid
* Init PKCS15 card using my pkcs15-selfsigned.sh
* Basic test with NetID for Linux

Tested these combinations:

server		client
=======================
4.1.0		4.1.1win	ok
4.1.0		4.1.1lin	ok
4.1.1		4.1.0win	ok	
4.1.1		4.1.0lin	ok
4.1.1		4.1.1win	ok
4.1.1		4.1.1lin	ok